<?php

/*********************************************************************

 新着ユーザー表示プラグイン (2014/06/03)

 freo.jp
 customize by 32877(http://32877.xii.jp)

*********************************************************************/

/* メイン処理 */
function freo_display_user_recently()
{
	global $freo;

	if ($freo->config['plugin']['user_recently']['default_limit'] == 0) {
		return;
	}

	//検索条件設定
	$condition = null;

	//コメント取得
	$stmt = $freo->pdo->prepare('SELECT * FROM ' . FREO_DATABASE_PREFIX . 'users WHERE id IS NOT NULL ' . $condition . ' ORDER BY created DESC LIMIT :limit');
	$stmt->bindValue(':limit', intval($freo->config['plugin']['user_recently']['default_limit']), PDO::PARAM_INT);
	$flag = $stmt->execute();
	if (!$flag) {
		freo_error($stmt->errorInfo());
	}

	$users = array();
	while ($data = $stmt->fetch(PDO::FETCH_ASSOC)) {
		$users[$data['id']] = $data;
	}

	//データ割当
	$freo->smarty->assign(array(
		'plugin_user_recentries'          => $users,
	));

	return;
}

?>
